Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.component
Class UISeamCommandBase

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.jboss.seam.ui.component.UISeamCommandBase

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIButton, UILink

    public abstract class UISeamCommandBase

extends javax.faces.component.UIOutput
implements javax.faces.component.ActionSource2

Field Summary

Fields inherited from class javax.faces.component.UIOutput
`COMPONENT_FAMILY, COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UISeamCommandBase()`

Method Summary
`void` | `addActionListener(javax.faces.event.ActionListener listener)`
`javax.faces.el.MethodBinding` | `getAction()` Deprecated.
`javax.faces.event.ActionListener[]` | `getActionListeners()`
`abstract String` | `getConversationName()`
`abstract String` | `getFragment()`
`abstract String` | `getPageflow()`
`javax.faces.component.UIData` | `getParentUIData()`
`abstract String` | `getPropagation()`
`UISelection` | `getSelection()`
`String` | `getUrl()`
`abstract String` | `getView()`
`abstract boolean` | `isIncludePageParams()`
`void` | `removeActionListener(javax.faces.event.ActionListener listener)`
`void` | `setAction(javax.faces.el.MethodBinding methodBinding)` Deprecated.
`abstract void` | `setConversationName(String name)`
`abstract void` | `setFragment(String fragment)`
`abstract void` | `setIncludePageParams(boolean value)`
`abstract void` | `setPageflow(String pageflow)`
`abstract void` | `setPropagation(String propagtion)`
`abstract void` | `setView(String view)`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getFamily, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ActionSource2
`getActionExpression, setActionExpression`

Methods inherited from interface javax.faces.component.ActionSource
`getActionListener, isImmediate, setActionListener, setImmediate`

Constructor Detail

### UISeamCommandBase

    public UISeamCommandBase()

Method Detail

### getView

    public abstract String getView()

### getUrl

    public String getUrl()
                  throws UnsupportedEncodingException

  Throws:
    `UnsupportedEncodingException`

### setView

    public abstract void setView(String view)

### getPropagation

    public abstract String getPropagation()

### setPropagation

    public abstract void setPropagation(String propagtion)

### getPageflow

    public abstract String getPageflow()

### setPageflow

    public abstract void setPageflow(String pageflow)

### getFragment

    public abstract String getFragment()

### setFragment

    public abstract void setFragment(String fragment)

### setConversationName

    public abstract void setConversationName(String name)

### getConversationName

    public abstract String getConversationName()

### setIncludePageParams

    public abstract void setIncludePageParams(boolean value)

### isIncludePageParams

    public abstract boolean isIncludePageParams()

### getSelection

    public UISelection getSelection()

### getParentUIData

    public javax.faces.component.UIData getParentUIData()

### removeActionListener

    public void removeActionListener(javax.faces.event.ActionListener listener)

  Specified by:
    `removeActionListener` in interface `javax.faces.component.ActionSource`

### getActionListeners

    public javax.faces.event.ActionListener[] getActionListeners()

  Specified by:
    `getActionListeners` in interface `javax.faces.component.ActionSource`

### addActionListener

    public void addActionListener(javax.faces.event.ActionListener listener)

  Specified by:
    `addActionListener` in interface `javax.faces.component.ActionSource`

### setAction

    @Deprecated
    public void setAction(javax.faces.el.MethodBinding methodBinding)

  Deprecated.

  Specified by:
    `setAction` in interface `javax.faces.component.ActionSource`

### getAction

    @Deprecated
    public javax.faces.el.MethodBinding getAction()

  Deprecated.

  Specified by:
    `getAction` in interface `javax.faces.component.ActionSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.